Page MenuHomeFreeBSD

databases/foundationdb-devel: import cmake-derived fork of 7.0.0-master
ClosedPublic

Authored by dch on Jan 20 2020, 8:38 PM.

Details

Summary

foundationdb 7.x supports CMake & Ninja directly, and this
fork has significant FreeBSD improvements. This port allows users to
further validate and improve the port with various client libraries,
without needing to build FoundationDB entirely from scratch each time.

It depends on the preceding https://reviews.freebsd.org/D23278 for
mono as a build-time only dependency.

To Do:

test and add OPTIONS for
- [ ] Build Java Bindings                  OFF
- [ ] Build with TLS support               OFF
- [ ] Build Go bindings                    OFF
- [ ] Build Ruby bindings                  OFF
- [ ] Build Python sdist (make package)    ON
- [ ] Build Documentation (make html)      OFF
- [ ] Test upstream JavaScript bindings    PORT
- [x] Test upstream erlang bindings        PORT
Test Plan

This port already passes 100% of FoundationDB quick tests, and 97% of all tests, so
I'd like to commit it "as is" to enable wider testing by the FoundationDB community.

I believe that a large portion of this diff may have been derived from vanilla's
existing 6.x port, if so I will ensure the final PR gives credit & any license
/copyright attributions.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dch retitled this revision from databases/foundationdb-devel: import cmake-derived fork to databases/foundationdb-devel: import cmake-derived fork (NOT READY FOR REVIEW YET).Jan 20 2020, 9:25 PM
dch edited the summary of this revision. (Show Details)

fix plist subs in .conf.sample

exclude foundationdb/* patch

dch retitled this revision from databases/foundationdb-devel: import cmake-derived fork (NOT READY FOR REVIEW YET) to databases/foundationdb-devel: import cmake-derived fork of 7.0.0-master.Jan 23 2020, 4:59 PM
dch edited the summary of this revision. (Show Details)
dch edited the test plan for this revision. (Show Details)
dch added a reviewer: vanilla.
This revision was not accepted when it landed; it landed in state Needs Review.Jan 28 2020, 8:08 AM
This revision was automatically updated to reflect the committed changes.